#
class friendica::install {

  $download_url = $friendica::download_url
  $branch       = $friendica::branch

  $fdirs = ['/opt/friendica', '/opt/friendica/tmp', '/var/www',]

  package { 'unzip': ensure => 'present', } ->

  file { $fdirs:
    ensure => 'directory',
    owner  => 'root',
    group  => 'root',
    mode   => '0550'
  } ->

  file { '/opt/friendica/initialclone.sh':
    owner   => 'root',
    group   => 'root',
    mode    => '0550',
    content => "#!/bin/bash\ncd /var/www/ && git clone ${download_url} . && git checkout ${branch}\n"
  }

  exec { 'initialclone':
    command => '/opt/friendica/initialclone.sh',
    creates => '/var/www/mod',
  }

}
