#
class friendica::nginx {

  class { '::nginx':
    server_purge => true,
  }

  file { "/etc/nginx/sites-available/${service_name}-plain.conf":
    owner   => 'root',
    group   => 'root',
    mode    => '0444',
    content => template("${module_name}/server-plain.conf.erb"),
    notify  => Service['nginx'],
  } ->

  file { "/etc/nginx/sites-available/${service_name}-tls.conf":
    owner   => 'root',
    group   => 'root',
    mode    => '0444',
    content => template("${module_name}/server-tls.conf.erb"),
    notify  => Service['nginx'],
  } ->

  file { "/etc/nginx/sites-enabled/${service_name}-plain.conf":
    ensure => 'link',
    target => "/etc/nginx/sites-available/${service_name}-plain.conf"
  } ->

  file { "/etc/nginx/sites-enabled/${service_name}-tls.conf":
    ensure => 'link',
    target => "/etc/nginx/sites-available/${service_name}-tls.conf"
  }

}
